Current Review Matches
curl --request GET \
--url https://api.example.com/v1/matching/matchesimport requests
url = "https://api.example.com/v1/matching/matches"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/matching/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/matching/matches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/matching/matches"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/matching/matches")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/matching/matches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"external_org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matches": [
{
"match_id": "<string>",
"version": 123,
"rg_item_id": "<string>",
"competitor_product_id": "<string>",
"competitor": {
"id": "<string>",
"name": "<string>",
"domain": "<string>"
},
"product": {
"name": "<string>",
"url": "<string>",
"sku": "<string>",
"barcode": "<string>",
"brand": "<string>",
"size": "<string>",
"unit": "<string>",
"image_url": "<string>"
},
"match": {
"relation": "direct",
"method": "<string>",
"confidence": 123,
"is_manual": true
},
"offer": {
"price": {
"amount": "<string>",
"currency": "<string>"
},
"regular_price": {
"amount": "<string>",
"currency": "<string>"
},
"promo_price": {
"amount": "<string>",
"currency": "<string>"
},
"availability": "<string>",
"observed_at": "<string>",
"assurance": "<string>"
},
"matched_at": "<string>",
"our_details": {
"item_id": "<string>",
"name": "<string>",
"image_url": "<string>",
"price": 123,
"currency": "<string>",
"brand": "<string>",
"barcode": "<string>",
"sku": "<string>",
"size": "<string>",
"unit": "<string>",
"variant_name": "<string>",
"color": "<string>",
"product_url": "<string>",
"stock": 123
},
"review": {
"status": "auto",
"revision": 123,
"evidence": "<string>",
"reasons": [
"<string>"
],
"actor": "<string>",
"decided_at": "<string>",
"note": "",
"action": "approve"
},
"our_product": "<string>",
"link_decision": {
"action": "add",
"actor": "<string>",
"decided_at": "2023-11-07T05:31:56Z"
},
"latest_decided_at": "2023-11-07T05:31:56Z"
}
],
"counts": {
"needs_review": 0,
"auto": 0,
"approved": 0,
"rejected": 0
},
"total": 1,
"next_cursor": "<string>",
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}matching
Current Review Matches
Read current review rows, including rejected pairs, in stable match-ID order.
Pages are live. Start without a cursor to reconcile subsequent decisions. Counts apply item/competitor filters but omit the selected review status.
GET
/
v1
/
matching
/
matches
Current Review Matches
curl --request GET \
--url https://api.example.com/v1/matching/matchesimport requests
url = "https://api.example.com/v1/matching/matches"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/matching/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/matching/matches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/matching/matches"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/matching/matches")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/matching/matches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"external_org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matches": [
{
"match_id": "<string>",
"version": 123,
"rg_item_id": "<string>",
"competitor_product_id": "<string>",
"competitor": {
"id": "<string>",
"name": "<string>",
"domain": "<string>"
},
"product": {
"name": "<string>",
"url": "<string>",
"sku": "<string>",
"barcode": "<string>",
"brand": "<string>",
"size": "<string>",
"unit": "<string>",
"image_url": "<string>"
},
"match": {
"relation": "direct",
"method": "<string>",
"confidence": 123,
"is_manual": true
},
"offer": {
"price": {
"amount": "<string>",
"currency": "<string>"
},
"regular_price": {
"amount": "<string>",
"currency": "<string>"
},
"promo_price": {
"amount": "<string>",
"currency": "<string>"
},
"availability": "<string>",
"observed_at": "<string>",
"assurance": "<string>"
},
"matched_at": "<string>",
"our_details": {
"item_id": "<string>",
"name": "<string>",
"image_url": "<string>",
"price": 123,
"currency": "<string>",
"brand": "<string>",
"barcode": "<string>",
"sku": "<string>",
"size": "<string>",
"unit": "<string>",
"variant_name": "<string>",
"color": "<string>",
"product_url": "<string>",
"stock": 123
},
"review": {
"status": "auto",
"revision": 123,
"evidence": "<string>",
"reasons": [
"<string>"
],
"actor": "<string>",
"decided_at": "<string>",
"note": "",
"action": "approve"
},
"our_product": "<string>",
"link_decision": {
"action": "add",
"actor": "<string>",
"decided_at": "2023-11-07T05:31:56Z"
},
"latest_decided_at": "2023-11-07T05:31:56Z"
}
],
"counts": {
"needs_review": 0,
"auto": 0,
"approved": 0,
"rejected": 0
},
"total": 1,
"next_cursor": "<string>",
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Successful Response

